Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.muc
Enum MUCRole.Affiliation

    java.lang.Object
      java.lang.Enum<MUCRole.Affiliation>
          org.jivesoftware.openfire.muc.MUCRole.Affiliation

All Implemented Interfaces:
  Serializable, Comparable<MUCRole.Affiliation>

Enclosing interface:
  MUCRole

    public static enum MUCRole.Affiliation

extends Enum<MUCRole.Affiliation>

Enum Constant Summary
`admin` Administrator of the room.
`member` A user who is on the "whitelist" for a members-only room or who is registered with an open room.
`none` A user who doesn't have an affiliation.
`outcast` A user who has been banned from a room.
`owner` Owner of the room.

Method Summary
`int` | `getValue()` Returns the value for the role.
`static MUCRole.Affiliation` | `valueOf(int value)` Returns the affiliation associated with the specified value.
`static MUCRole.Affiliation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MUCRole.Affiliation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### owner

    public static final MUCRole.Affiliation owner

  Owner of the room.

### admin

    public static final MUCRole.Affiliation admin

  Administrator of the room.

### member

    public static final MUCRole.Affiliation member

  A user who is on the "whitelist" for a members-only room or who is registered with an open room.

### outcast

    public static final MUCRole.Affiliation outcast

  A user who has been banned from a room.

### none

    public static final MUCRole.Affiliation none

  A user who doesn't have an affiliation. This kind of users can register with members-only rooms and may enter an open room.

Method Detail

### values

    public static final MUCRole.Affiliation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MUCRole.Affiliation c : MUCRole.Affiliation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MUCRole.Affiliation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getValue

    public int getValue()

  Returns the value for the role.

  Returns:
    the value.

### valueOf

    public static MUCRole.Affiliation valueOf(int value)

  Returns the affiliation associated with the specified value.

  Parameters:
    `value` - the value.
  Returns:
    the associated affiliation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.